%define version 0.3.8
%define release 14mdk

Summary: KON - Kanji ON Linux console
Summary(ja): KON - 󥽡
Name: kon2
Version: %{version}
Release: %{release}
Group: System/Internationalization
Source0: kon2-0.3.8.tar.bz2
Source1: pubfont.a.gz
Source2: pubfont.k.gz
Source3: terminfo.kon
patch0: kon2-glibc.diff.bz2
patch1: kon2-iso8859.diff.bz2
patch2: kon2-noans.diff.bz2
patch3: kon2-0.3.8-exec.diff.bz2
Patch4: kon2-gcc2.95-patch.bz2
Copyright: manabe@linet.gr.jp
BuildRoot: /var/tmp/kon-root
Requires: ncurses >= 4.2-10vl1, locales-ja
Exclusivearch: i386 i486 i586 i686 k6 k7

%description
KON displays kanji characters on Linux console screen.
It is launched like a shell, so you should put at the very
end of your ~/.profile something like:

TTY=`tty | cut -b-8 2> /dev/null`

if [ "$TTY" = "/dev/tty" ]; then
   exec kon
fi

%description -l ja
KON  Linux Υ󥽡̾Ǵɽ뤿ΥץǤ

%changelog
* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.8-14mdk
- fixed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.8-13mdk

- Asm only compatible with other arch of x86 (anyone for a fix ?).

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix gcc2.95 compilation.

* Thu Mar 25 1999 MATSUMOTO Shoji <vine@flatout.org>
- 0.3.8-8
- add 'long -e' patch

* Wed Feb 24 1999 MATSUMOTO Shoji <vine@flatout.org>
- correct owner of font

* Tue Feb 23 1999 MATSUMOTO Shoji <vine@flatout.org>
- use ISO8859-1 for ASCII

* Sun Feb 21 1999 MATSUMOTO Shoji <vine@flatout.org>
- refine for usermode rebuild and make config
- comment out to do 'tic terminfo.kon' from %post

* Sat Dec 26 1998  Daisuke SUZUKI <daisuke@linux.or.jp>
- initial release

%prep
%setup0
%setup3 -D -T 
%patch0 -p1 -b .glibc
%patch1 -p0 -b .iso8859
%patch2 -p0 -b .noans
%patch3 -p0 -b .exec
%patch4 -p1 -b .gcc

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts
mkdir -p $RPM_BUILD_ROOT/usr/man/ja_JP.ujis/man1
mkdir -p $RPM_BUILD_ROOT/etc

%build
make config 

# Don't use $RPM_OPT_FLAGS
make 

%install
make install TOPDIR=$RPM_BUILD_ROOT
install -m 0644 $RPM_SOURCE_DIR/pubfont.a.gz $RPM_BUILD_ROOT/usr/share/fonts
install -m 0644 $RPM_SOURCE_DIR/pubfont.k.gz $RPM_BUILD_ROOT/usr/share/fonts

mv $RPM_BUILD_ROOT/usr/man/ja_JP.ujis $RPM_BUILD_ROOT/usr/man/ja
bzip2 -9 $RPM_BUILD_ROOT/usr/man/ja/man?/*

# create a fake file for %ghost; this could be removed when ncurses
# will include a definition for 'kon'
mkdir -p $RPM_BUILD_ROOT/usr/share/terminfo/k
touch $RPM_BUILD_ROOT/usr/share/terminfo/k/kon

%clean
rm -rf $RPM_BUILD_ROOT

%post
tic /usr/doc/kon2-%{version}/terminfo.kon
if ! grep '^kon|kanji on console' /etc/termcap >& /dev/null ; then
	 cat /usr/doc/kon2-%{version}/termcap.kon >> /etc/termcap
fi

%files
%defattr(-,root,root)
/usr/bin/kon
/usr/bin/fld
/usr/bin/swkon
/usr/bin/newvc
/usr/man/ja/man1/kon.1.bz2
%config /etc/kon.cfg

%doc doc/* terminfo.kon termcap.kon

/usr/share/fonts/pubfont.a.gz
/usr/share/fonts/pubfont.k.gz

%ghost /usr/share/terminfo/k/kon

